Bug 1410456 (CVE-2016-10051) - CVE-2016-10051 ImageMagick: Use after free when using identify or convert
Summary: CVE-2016-10051 ImageMagick: Use after free when using identify or convert
Status: CLOSED WONTFIX
Alias: CVE-2016-10051
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160805,repor...
Keywords: Security
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 14:34 UTC by Andrej Nemec
Modified: 2019-06-08 21:41 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-22 04:27:45 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 14:34:53 UTC
A use-after-free vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or possibly have other impact.

Upstream bug:

https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=30245

References:

http://seclists.org/oss-sec/2016/q4/758

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/ecc03a2518c2b7dd375fde3a040fdae0bdf6a521

Comment 1 Andrej Nemec 2017-01-05 16:13:22 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.